Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: martin rudalics <[email-masked]>
Date: Fri, 29 Jun 2018 10:42:21 +0200

> Patch attached. It sets the correct property on my emacs frame for me,
 > but it appears KWin ignores that, so I see no effect. No doubt needs a
 > few more USE_GTK ifdef checks.

Carlos, can you test the patch?  If it works, we can brush it up a
little to make it a frame parameter just like 'undecorated'.

 >> 'gdk_x11_window_set_hide_title_bar_when_maximized' in gdkwindow-x11.c
 >> has the XChangeProperty calls to make this work for non-GTK builds.
 >
 > Youʼre suggesting we copy their code? Iʼm not sure what the value of
 > setting a GTK property is in a non-GTK build.

FWIW I did that for x_set_undecorated when implementing that awful
PROP_MOTIF_WM_HINTS_ELEMENTS hack.

martin